Package org.apache.tools.ant.taskdefs

# Interface XSLTLiaison4

All Superinterfaces:
  `XSLTLiaison`, `XSLTLiaison2`, `XSLTLiaison3`

All Known Implementing Classes:
  `TraXLiaison`

public interface XSLTLiaison4 extends XSLTLiaison3
Extends Proxy interface for XSLT processors: adds support for XSLT parameters of various types (not only String)

Since:
  Ant 1.9.3
Author:
  Frantisek Kucera (xkucf03)
See Also:
  - `XSLTProcess`

- ## Field Summary

  ### Fields inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison

  `FILE_PROTOCOL_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParam(String name, Object value)`
  Add a parameter to be set during the XSL transformation.

  ### Methods inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison

  `addParam, setStylesheet, transform`

  ### Methods inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison2

  `configure`

  ### Methods inherited from interface org.apache.tools.ant.taskdefs.XSLTLiaison3

  `setStylesheet`

- ## Method Details

  - ### addParam

    void addParam(String name, Object value) throws Exception
    Add a parameter to be set during the XSL transformation.
    Parameters:
      `name` - the parameter name.
      `value` - the parameter value as String, Boolean, int, etc.
    Throws:
      `Exception` - thrown if any problems happens.
    Since:
      Ant 1.9.3
    See Also:
      - `Transformer.setParameter(java.lang.String, java.lang.Object)`